Bug 42378 - New port: science/at Acoustic ToolBox
Summary: New port: science/at Acoustic ToolBox
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-03 17:30 UTC by Heiner Strauss
Modified: 2003-09-08 13:46 UTC (History)
0 users

See Also:


Attachments
file.shar (10.08 KB, text/plain)
2002-09-03 17:30 UTC, Heiner Strauss
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner Strauss 2002-09-03 17:30:03 UTC
The Acoustic ToolBox includes four acoustic models:

   BELLHOP: A beam/ray trace code

   KRAKEN:  A normal mode code

   SCOOTER: A finite element FFP code

   SPARC:   A time domain FFP code

A common input structure has been used throughout so that only minor
modifications are needed to switch from one program to another.

All the models produce shade files which can be processed
using a common set of plotting routines to plot transmission loss
vs. range or vs. range and depth.  These plotting routines
are contained in the GLOBAL directory.
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-06-03 20:15:04 UTC
Hi,

	I was examing your PR regarding
"New port: science/at Acoustic ToolBox"

	However, it seems that the distfile is no longer
fetchable. Could you investigate this?

$ make fetch
>> at_Unix.tar.Z doesn't seem to exist in /usr/ports/distfiles/.
>> Attempting to fetch from ftp://oalib.saic.com/pub/oalib/AcousticsToolbox/.

fetch: ftp://oalib.saic.com/pub/oalib/AcousticsToolbox/at_Unix.tar.Z: Not logged in
fetch: ftp://oalib.saic.com/pub/oalib/AcousticsToolbox/at_Unix.tar.Z: Not logged in

	Regards,

-- 
Mario S F Ferreira - DF - Brazil - "I guess this is a signature."
FreeBSD Committer | FreeBSD-KDE Team | CS Developer
feature, n: a documented bug | bug, n: an undocumented feature
Comment 2 Tilman Keskinoz freebsd_committer 2003-06-26 16:07:21 UTC
State Changed
From-To: open->feedback

feedback was requested
Comment 3 Heiner Strauss 2003-06-30 16:37:58 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	at
#	at/Makefile
#	at/pkg-descr
#	at/distinfo
#	at/files
#	at/files/patch-aa
#	at/pkg-plist
#
echo c - at
mkdir -p at > /dev/null 2>&1
echo x - at/Makefile
sed 's/^X//' >at/Makefile << 'END-of-at/Makefile'
X# Ports collection makefile for:	at
X# Date created:				Jun 30, 2003
X# Whom:					Heiner Strauss <heiner@bilch.com>
X#
X# $FreeBSD$
X
XPORTNAME=		at
XPORTVERSION=		1.0
XCATEGORIES=		science
XMASTER_SITES=		http://oalib.saic.com/Modes/AcousticsToolbox/
XDISTNAME=		at_Unix
XEXTRACT_SUFX=		.tar.Z
X
XMAINTAINER=		heiner@bilch.com
XCOMMENT=		The Acoustic ToolBox includes four acoustic models
X
XWRKSRC=                 ${WRKDIR}/at
X
Xdo-build:
X	cd ${WRKSRC}; ${MAKE} install
X
Xdo-install:
X	${MKDIR} ${PREFIX}/bin
X	${INSTALL_SCRIPT} ${WRKSRC}/scripts/* ${PREFIX}/bin
X	${MKDIR} ${PREFIX}/libexec/at
X	${INSTALL_PROGRAM} `find ${WRKSRC} -name \*.out -print` ${PREFIX}/libexec/at
X	${MKDIR} ${PREFIX}/share/examples/at
X	${CP} -rp ${WRKSRC}/tests/* ${PREFIX}/share/examples/at
X	${INSTALL_SCRIPT} ${WRKSRC}/at_init ${PREFIX}/share/examples/at
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/doc/* ${DOCSDIR}
X.endif
X
X.include <bsd.port.mk>
END-of-at/Makefile
echo x - at/pkg-descr
sed 's/^X//' >at/pkg-descr << 'END-of-at/pkg-descr'
XThe Acoustic ToolBox includes four acoustic models:
X
X   BELLHOP: A beam/ray trace code
X
X   KRAKEN:  A normal mode code
X
X   SCOOTER: A finite element FFP code
X
X   SPARC:   A time domain FFP code
X
XA common input structure has been used throughout so that only minor
Xmodifications are needed to switch from one program to another.
X
XAll the models produce shade files which can be processed
Xusing a common set of plotting routines to plot transmission loss
Xvs. range or vs. range and depth.  These plotting routines
Xare contained in the GLOBAL directory.
END-of-at/pkg-descr
echo x - at/distinfo
sed 's/^X//' >at/distinfo << 'END-of-at/distinfo'
XMD5 (at_Unix.tar.Z) = a1d783c238e2f7ba971bf84111c0b540
END-of-at/distinfo
echo c - at/files
mkdir -p at/files > /dev/null 2>&1
echo x - at/files/patch-aa
sed 's/^X//' >at/files/patch-aa << 'END-of-at/files/patch-aa'
X*** Kraken/Makefile
X***************
X*** 1,4 ****
X! FFLAGS = -O -bytereclen
X  
X  #FC  = f90
X  #F77 = f90
X--- 1,4 ----
X! FFLAGS = -O -ff90
X  
X  #FC  = f90
X  #F77 = f90
X*** misc/Makefile
X***************
X*** 1,4 ****
X! FFLAGS = -O -bytereclen
X  
X  #FC  = f90
X  #F77 = f90
X--- 1,4 ----
X! FFLAGS = -O -ff90
X  
X  #FC  = f90
X  #F77 = f90
X*** Bellhop/Makefile
X***************
X*** 1,4 ****
X! FFLAGS = -O -bytereclen
X  # note: SGI, use -trapuv, -lfpe in link to trap overflows
X  
X  #FC  = f90
X--- 1,4 ----
X! FFLAGS = -O -ff90
X  # note: SGI, use -trapuv, -lfpe in link to trap overflows
X  
X  #FC  = f90
X*** Scooter/Makefile
X***************
X*** 1,4 ****
X! FFLAGS= -O -bytereclen
X  
X  #FC  = f90
X  #F77 = f90
X--- 1,4 ----
X! FFLAGS = -O -ff90
X  
X  #FC  = f90
X  #F77 = f90
X*** global/Makefile
X***************
X*** 1,4 ****
X! FFLAGS = -O -bytereclen
X  
X  #FC  = f90
X  #F77 = f90
X--- 1,4 ----
X! FFLAGS = -O -ff90
X  
X  #FC  = f90
X  #F77 = f90
X*** tslib/Makefile
X***************
X*** 1,4 ****
X! FFLAGS = -O
X  
X  #FC  = f90
X  #F77 = f90
X--- 1,4 ----
X! FFLAGS = -O -ff90
X  
X  #FC  = f90
X  #F77 = f90
X*** KrakenZ/Makefile
X***************
X*** 1,4 ****
X! #FFLAGS= -C -trapuv -check_bounds -g -old_rl
X  #FFLAGS = +E1   # for HP machines
X  #FFLAGS = -O -trapuv -old_rl -mips2 # old_rl forces SGI to use RECL in bytes
X
X--- 1,4 ----
X! FFLAGS = -O -ff90
X  #FFLAGS = +E1   # for HP machines
X  #FFLAGS = -O -trapuv -old_rl -mips2 # old_rl forces SGI to use RECL in bytes
X
X
END-of-at/files/patch-aa
echo x - at/pkg-plist
sed 's/^X//' >at/pkg-plist << 'END-of-at/pkg-plist'
Xlibexec/at/bellhop.out
Xlibexec/at/angles.out
Xlibexec/at/beam3d.out
Xlibexec/at/plotray.out
Xlibexec/at/tabssp.out
Xlibexec/at/kraken.out
Xlibexec/at/krakenc.out
Xlibexec/at/bounce.out
Xlibexec/at/field.out
Xlibexec/at/field3d.out
Xlibexec/at/plotssp.out
Xlibexec/at/plotmode.out
Xlibexec/at/plotgrn.out
Xlibexec/at/plotirc.out
Xlibexec/at/plotxy.out
Xlibexec/at/plottri.out
Xlibexec/at/plottlr.out
Xlibexec/at/plottld.out
Xlibexec/at/plotrth.out
Xlibexec/at/plotgrp.out
Xlibexec/at/fieldmo.out
Xlibexec/at/modasc.out
Xlibexec/at/modbin.out
Xlibexec/at/covar.out
Xlibexec/at/scooter.out
Xlibexec/at/sparc.out
Xlibexec/at/fields.out
Xlibexec/at/plotts.out
Xlibexec/at/stack.out
Xlibexec/at/makets.out
Xlibexec/at/fft.out
Xlibexec/at/raw.out
Xlibexec/at/toasc.out
Xlibexec/at/tobin.out
Xlibexec/at/tosac.out
Xlibexec/at/tonrl.out
Xlibexec/at/pod.out
Xlibexec/at/plotslic.out
Xlibexec/at/radius.out
Xlibexec/at/bart.out
Xlibexec/at/capon.out
Xlibexec/at/switchsr.out
Xlibexec/at/planewav.out
Xlibexec/at/outback.out
Xlibexec/at/filter.out
Xlibexec/at/iso.out
X@dirrm libexec/at
Xbin/bbrun
Xbin/bellhop
Xbin/bellhopb
Xbin/bounce
Xbin/capon
Xbin/covar
Xbin/field
Xbin/field3d
Xbin/fieldmo
Xbin/fields
Xbin/filter
Xbin/kraken
Xbin/krakenb
Xbin/krakenc
Xbin/krakencb
Xbin/makets
Xbin/modasc
Xbin/modbin
Xbin/outback
Xbin/plotfield
Xbin/plotgrn
Xbin/plotgrp
Xbin/plotirc
Xbin/plotmode
Xbin/plotray
Xbin/plotrth
Xbin/plotslic
Xbin/plotssp
Xbin/plottld
Xbin/plottlr
Xbin/plottri
Xbin/plotts
Xbin/plotxy
Xbin/pod
Xbin/radius
Xbin/scooter
Xbin/scooterb
Xbin/sparc
Xbin/stack
Xbin/switchsr
Xbin/tabssp
Xbin/toasc
Xbin/tobin
Xbin/tonrl
Xbin/tosac
X%%PORTDOCS%%share/doc/at/bart.hlp
X%%PORTDOCS%%share/doc/at/bellhop.hlp
X%%PORTDOCS%%share/doc/at/bounce.hlp
X%%PORTDOCS%%share/doc/at/field.hlp
X%%PORTDOCS%%share/doc/at/field3d.hlp
X%%PORTDOCS%%share/doc/at/fields.hlp
X%%PORTDOCS%%share/doc/at/kraken.hlp
X%%PORTDOCS%%share/doc/at/notes.hlp
X%%PORTDOCS%%share/doc/at/plotfield.hlp
X%%PORTDOCS%%share/doc/at/plotgrn.hlp
X%%PORTDOCS%%share/doc/at/plotmode.hlp
X%%PORTDOCS%%share/doc/at/plotray.hlp
X%%PORTDOCS%%share/doc/at/plotrth.hlp
X%%PORTDOCS%%share/doc/at/plotslice.hlp
X%%PORTDOCS%%share/doc/at/plotssp.hlp
X%%PORTDOCS%%share/doc/at/plottld.hlp
X%%PORTDOCS%%share/doc/at/plottlr.hlp
X%%PORTDOCS%%share/doc/at/plottri.hlp
X%%PORTDOCS%%share/doc/at/plotts.hlp
X%%PORTDOCS%%share/doc/at/scooter.hlp
X%%PORTDOCS%%share/doc/at/sparc.hlp
X%%PORTDOCS%%@dirrm share/doc/at
Xshare/examples/at/sgiprt/twerskys.prt
Xshare/examples/at/sgiprt/attenr.prt
Xshare/examples/at/sgiprt/attens.prt
Xshare/examples/at/sgiprt/doublec.prt
Xshare/examples/at/sgiprt/doubler.prt
Xshare/examples/at/sgiprt/doubles.prt
Xshare/examples/at/sgiprt/elsedc.prt
Xshare/examples/at/sgiprt/elsedr.prt
Xshare/examples/at/sgiprt/elseds.prt
Xshare/examples/at/sgiprt/flusedc.prt
Xshare/examples/at/sgiprt/flusedr.prt
Xshare/examples/at/sgiprt/fluseds.prt
Xshare/examples/at/sgiprt/icec.prt
Xshare/examples/at/sgiprt/icer.prt
Xshare/examples/at/sgiprt/ices.prt
Xshare/examples/at/sgiprt/kuperbc.prt
Xshare/examples/at/sgiprt/kuperbr.prt
Xshare/examples/at/sgiprt/kuperbs.prt
Xshare/examples/at/sgiprt/kupermc.prt
Xshare/examples/at/sgiprt/kupermr.prt
Xshare/examples/at/sgiprt/kuperms.prt
Xshare/examples/at/sgiprt/kupertc.prt
Xshare/examples/at/sgiprt/kupertr.prt
Xshare/examples/at/sgiprt/kuperts.prt
Xshare/examples/at/sgiprt/normalc.prt
Xshare/examples/at/sgiprt/normalr.prt
Xshare/examples/at/sgiprt/normals.prt
Xshare/examples/at/sgiprt/pekerisc.prt
Xshare/examples/at/sgiprt/pekerisr.prt
Xshare/examples/at/sgiprt/pekeriss.prt
Xshare/examples/at/sgiprt/scholtec.prt
Xshare/examples/at/sgiprt/scholter.prt
Xshare/examples/at/sgiprt/scholtes.prt
Xshare/examples/at/sgiprt/twerskyc.prt
Xshare/examples/at/sgiprt/twerskyr.prt
Xshare/examples/at/sgiprt/attenc.prt
Xshare/examples/at/wedge/wedge150.ps
Xshare/examples/at/wedge/field.flp
Xshare/examples/at/wedge/interp.f
Xshare/examples/at/wedge/krakenall
Xshare/examples/at/wedge/plotshd.m
Xshare/examples/at/wedge/plotslice.par
Xshare/examples/at/wedge/plottlr.plp
Xshare/examples/at/wedge/rd150.plp
Xshare/examples/at/wedge/rd30.plp
Xshare/examples/at/wedge/sedslope
Xshare/examples/at/wedge/sweep
Xshare/examples/at/wedge/tl.plp
Xshare/examples/at/wedge/wedge.env
Xshare/examples/at/wedge/field
Xshare/examples/at/twersky.env
Xshare/examples/at/scholte.plp
Xshare/examples/at/scholte.env
Xshare/examples/at/runplots
Xshare/examples/at/refl.env
Xshare/examples/at/plotts.plp
Xshare/examples/at/plottri.plp
Xshare/examples/at/plottri.par
Xshare/examples/at/plottlr.plp
Xshare/examples/at/plottlr.par
Xshare/examples/at/plottld.plp
Xshare/examples/at/plottld.par
Xshare/examples/at/plotssp.plp
Xshare/examples/at/plotssp.par
Xshare/examples/at/plotslic.par
Xshare/examples/at/plotrth.plp
Xshare/examples/at/plotrth.par
Xshare/examples/at/plotray.plp
Xshare/examples/at/plotray.par
Xshare/examples/at/plotmode.plp
Xshare/examples/at/plotirc.plp
Xshare/examples/at/plotgrn.plp
Xshare/examples/at/plotgrn.par
Xshare/examples/at/pekeris.plp
Xshare/examples/at/pekeris.env
Xshare/examples/at/normal.plp
Xshare/examples/at/normal.env
Xshare/examples/at/munkB.env
Xshare/examples/at/med.flp
Xshare/examples/at/kupert.plp
Xshare/examples/at/kupert.env
Xshare/examples/at/kuperm.plp
Xshare/examples/at/kuperm.env
Xshare/examples/at/kuperb.plp
Xshare/examples/at/kuperb.env
Xshare/examples/at/kcs
Xshare/examples/at/iso.env
Xshare/examples/at/ice.plp
Xshare/examples/at/ice.env
Xshare/examples/at/framiv.plp
Xshare/examples/at/framiv.env
Xshare/examples/at/foo.env
Xshare/examples/at/flused.plp
Xshare/examples/at/flused.env
Xshare/examples/at/fields.flp
Xshare/examples/at/fieldbat.flp
Xshare/examples/at/fieldarc.flp
Xshare/examples/at/bat
Xshare/examples/at/field.flp
Xshare/examples/at/elsed.plp
Xshare/examples/at/elsed.env
Xshare/examples/at/double.plp
Xshare/examples/at/double.env
Xshare/examples/at/calibB.env
Xshare/examples/at/atten.plp
Xshare/examples/at/atten.env
Xshare/examples/at/Makefile
Xshare/examples/at/twersky.plp
Xshare/examples/at/at_init
X@dirrm share/examples/at/sgiprt
X@dirrm share/examples/at/wedge
X@dirrm share/examples/at
END-of-at/pkg-plist
exit


-- 
Heiner Strauss	heiner@bilch.com        Bilch International Consulting
www.bilch.com                           Hamburg
Markusstrasse 4
20355 Hamburg                           Tel.: +49 40 3480667
Comment 4 Tilman Keskinoz freebsd_committer 2003-07-04 16:26:39 UTC
State Changed
From-To: feedback->open

A new shar was submitted.
Comment 5 Edwin Groothuis freebsd_committer 2003-09-08 13:46:04 UTC
State Changed
From-To: open->closed

Commited, thanks!